http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}Updates an existing media stream.
The Amazon Resource Name (ARN) of the flow.
The name of the media stream that you want to update.
The sample rate (in Hz) for the stream. If the media stream type is video or ancillary data, set this value to 90000. If the media stream type is audio, set this value to either 48000 or 96000.
Attributes that are related to the media stream.
Description
The resolution of the video.
The type of media stream.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}Updates an existing media stream.
The Amazon Resource Name (ARN) of the flow.
The name of the media stream that you want to update.
The sample rate (in Hz) for the stream. If the media stream type is video or ancillary data, set this value to 90000. If the media stream type is audio, set this value to either 48000 or 96000.
Attributes that are related to the media stream.
Description
The resolution of the video.
The type of media stream.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}